List providers
curl --request GET \
--url https://api.example.com/providers/list \
--header 'Authorization: <authorization>'import requests
url = "https://api.example.com/providers/list"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.example.com/providers/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"providers": [
"<string>"
]
}Platform API
List providers
List mock SaaS provider slugs your organization can snapshot.
GET
/
providers
/
list
List providers
Returns the provider slugs granted to the API key’s organization. Use a slug from this list when creating a snapshot.
Base URL:
Your array may be shorter or longer depending on grants.
https://simulation.ressl.ai
Headers
string
required
Bearer rsk_... (or use X-API-Key instead).Response
string[]
required
Provider slugs available to your org (for example
jira, salesforce, slack).{
"providers": ["jira", "salesforce", "slack"]
}
Example
curl -sS https://simulation.ressl.ai/providers/list \
-H "Authorization: Bearer rsk_..."
Errors
| Status | Meaning |
|---|---|
401 | Invalid or missing API key |

